Subject: Suggested language for "mis" (Re: [Ltru] RE: ISO 639-2 decision: "mis")

From: "Mark Davis" <[email-masked]>
Date: Sat, 16 Jun 2007 08:29:31 -0700

That's going in the right direction, but doesn't not given enough guidance
as to why to avoid it. My suggested language:

The 'mis' (Uncoded) primary language subtag SHOULD NOT be used. According to
ISO 639, it is used to identify linguistic content whose language is known
but which does not *currently* have a corresponding subtag. It is thus
intrinsically unstable -- the addition of other codes in the future can
render its application invalid at any point without any warning -- and hence
incompatible with the stability goals of BCP 47. It is thus always
preferable to use other subtags: either "und" or -- with prior agreement --
private use subtags.

Mark

On 6/15/07, Addison Phillips <[email-masked]> wrote:
>
> Randy Presuhn wrote:
> >
> > I disagree with the phrase "or when the range of language tags supported
> in
> > a given application are constrained."  If the application knows what
> language
> > it is, it should use the correct tag, if one exists.  If the application
> doesn't
> > know what language is in use, "und" would be correct.
>
> That's nice in theory. But some applications use a subset of tags (I
> used the MARC21 example in the text) and then transmit them through
> another system (where the larger range of RFC 4646 is available). Those
> systems only know that the content is 'mis' (because it is tagged that
> way) and not what the miscellaneous language happens to be.
>
> We don't define what subtags applications are capable of supporting or
> required to support elsewhere. We should focus on providing appropriate
> guidance (which is not to use the subtag). I note that Peter's use of
> MAY doesn't reflect the current draft.
>
> I propose that we modify the draft to say the following. Please note:
> the paragraph format is consistent with the other items in that section.
> I think that folks should glance at that text when proposing edits.
>
> --
> The 'mis' (Uncoded) primary language subtag is used to identify
> linguistic content whose language is known but cannot otherwise be
> identified. It is intended for use when the range of language tags is
> constrained or for languages not otherwise categorized. It SHOULD NOT be
> used except when other means of identifying the language are not
> available. For example, a library application might be limited to the
> set of subtags defined for use by the [MARC21] standard. The 'mis'
> subtag might be used by this application for languages not included in
> that set.
> --
>
> Comments?
>
> Addison
>
> --
> Addison Phillips
> Globalization Architect -- Yahoo! Inc.
> Chair -- W3C Internationalization Core WG
>
> Internationalization is an architecture.
> It is not a feature.
>
>
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru
>

-- 
Mark
_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 16 Jun 2007 09:47:12 -0700

Hi -

> From: "Mark Davis" <[email-masked]>
> To: "Addison Phillips" <[email-masked]>
> Cc: "Randy Presuhn" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Saturday, June 16, 2007 8:29 AM
> Subject: Suggested language for "mis" (Re: [Ltru] RE: ISO 639-2 decision: "mis")
>
...

As a technical contributor, I rather like this proposal.

Randy

---

From: Frank Ellermann <[email-masked]>
Date: Sun, 17 Jun 2007 03:34:07 +0200

> As a technical contributor, I rather like this proposal.

+1,
no need to discuss MARC and other good excuses to violate the SHOULD NOT.

Frank

---

From: Martin Duerst <[email-masked]>
Date: Sun, 17 Jun 2007 16:56:30 +0900

At 00:29 07/06/17, Mark Davis wrote:
>That's going in the right direction, but doesn't not given enough guidance as to why to avoid it. My suggested language:
>
>The 'mis' (Uncoded) primary language subtag SHOULD NOT be used. According to ISO 639, it is used to identify linguistic content whose language is known but which does not *currently* have a corresponding subtag. It is thus intrinsically unstable -- the addition of other codes in the future can render its application invalid at any point without any warning -- and hence incompatible with the stability goals of BCP 47. It is thus always preferable to use other subtags: either "und" or -- with prior agreement -- private use subtags. 

I'm a bit confused here. We want to try to give absoulte stability
guarantees. But then we recommend 'und' (wrong to start with, because
we know what language it is, so calling it undetermined is lying)
or a private tag (inherently unstable and non-interoperable).
Why don't we just accept that 'mis' is unstable (no disagreement
here, of course), but instead of saying "invalid at any point without
any warning -- and hence incompatible with the stability goals of BCP 47",
warn the receiver that 'mis' may refer to a language that in the meantime
has been coded, and change our language, e.g. 'invalid' -> 'suboptimal'.

Regards,    Martin.

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]

---

From: Martin Duerst <[email-masked]>
Date: Sun, 17 Jun 2007 16:56:30 +0900

Regards,    Martin.

---

From: Marion Gunn <[email-masked]>
Date: Sun, 17 Jun 2007 12:17:45 +0000

> or a private tag (inherently unstable and non-interoperable).

Such confusion is among the many adverse effects of rashly converting  
the domestic practice of one country (MARC, SIL, etc.) into  
international standards, instead of building them brick by aware  
brick, as is normally done. If Martin's current proposal (below) can  
go some way towards countering the adverse efffect currently under  
discussion here, then he has my support in that.
mg

> has been coded, and change our language, e.g. 'invalid' ->  

- -
Marion Gunn * EGTeo (Estab.1991)
27 Páirc an Fhéithlinn, Baile an
Bhóthair, Co. Átha Cliath, Éire.
* [email-masked] * [email-masked] *

---

From: "Mark Davis" <[email-masked]>
Date: Sun, 17 Jun 2007 11:56:00 -0700

We have used 'und' as a general "unknown" tag, which is really required for
effective operation of language tags. We are equating "und" with _no_tag_;
the latter are preferred in environments where that can be done, but "und"
is required where it is not allowed. And in a situation of inheritance (like
xml:lang), there needs to be something that says "don't inherit from the
parent level, because I'm not sure that I and my children are the same".

The key question for any tag -- assuming a tag is valid -- is what a
recipient can correctly infer from the presence of that tag. With "und" I
can make no assumptions about what the content is. It may be in no language,
some language, more than one language, a language that has no code. I can
simply make no inferences. As to why the original tagger tagged it that way,
I can't know -- maybe he knew didn't know what it was, maybe he didn't try
to find out, maybe he tried and didn't have 100% confidence, maybe he knew
it was low elvish and there wasn't a code for it, whatever.

Mark

On 6/17/07, Martin Duerst <[email-masked]> wrote:
> >That's going in the right direction, but doesn't not given enough
> guidance as to why to avoid it. My suggested language:
> >
> >The 'mis' (Uncoded) primary language subtag SHOULD NOT be used. According
> to ISO 639, it is used to identify linguistic content whose language is
> known but which does not *currently* have a corresponding subtag. It is thus

---

From: Addison Phillips <[email-masked]>
Date: Mon, 18 Jun 2007 08:25:08 -0700

+2. I'll put that in the draft when I sit down with it again (later 
today??).

Incidentally, I'm preparing to submit draft-07.

Addison